import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';


const makeSchema = () => z.object({
  id: z.literal(true).optional(),
  fileId: z.literal(true).optional(),
  seq: z.literal(true).optional()
}).strict();
export const CloudFileChunkAvgAggregateInputObjectSchema: z.ZodType<Prisma.CloudFileChunkAvgAggregateInputType> = makeSchema() as unknown as z.ZodType<Prisma.CloudFileChunkAvgAggregateInputType>;
export const CloudFileChunkAvgAggregateInputObjectZodSchema = makeSchema();
